timer_agent(4gx)

Name
timer_agent — Service plugin for deferred command execution with timer(8gx)

Description
timer_agent connects to a remote timer(8gx) daemon and locally installs two service functions, "add_timer" and "cancel_timer", which can be used to set up and rescind, respectively, jobs for later execution.

In practice, this is used by exchange_emsmdb(4gx) and zcore(8gx) to implement delayed sending of messages.

Configuration directives
The usual config file location is /etc/gromox/timer_agent.cfg.

connection_num
    Number of connections to keep active.
    Default: 8

timer_host
    The hostname/IP address for contacting the timer daemon.
    Default: ::1

timer_port
    The TCP port number for contacting the timer daemon.
    Default: 6666

See also
gromox(7), timer(8gx)